/****************************************************************************/
/* GF73 ( 使用カラム状態テーブル )                                          */
/*                                                                          */
/* Created : 2013/07/24 19:28:19                                            */
/****************************************************************************/
CREATE TABLE GF73 (
   SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  10 ｼｽﾃﾑID       */
 , ADDRESS      VARCHAR2 (  256 )                                       /*  20 ｱﾄﾞﾚｽ        */
 , PRE_FIX      VARCHAR2 (   10 )                   NOT NULL            /*  29 名前空間     */
 , FILENAME     VARCHAR2 (   60 )                                       /*  30 ﾌｧｲﾙ名       */
 , FILEPATH     VARCHAR2 (  256 )                                       /*  40 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     VARCHAR2 (   14 )                                       /*  50 最終更新日   */
 , TAGNAME      VARCHAR2 (   30 )                                       /*  60 ﾀｸﾞ名称      */
 , FORM_TYPE    VARCHAR2 (   10 )                                       /*  70 ﾌｫｰﾑﾀｲﾌﾟ     */
 , FORM_NAME    VARCHAR2 (  200 )                                       /*  80 名称         */
 , FORM_VAL     VARCHAR2 ( 1000 )                                       /*  90 値           */
 , DEFAULT_VAL  VARCHAR2 (  100 )                                       /* 100 ﾃﾞﾌｫﾙﾄ値     */
 , LBLCD        VARCHAR2 (   60 )                                       /* 110 ﾗﾍﾞﾙｺｰﾄﾞ     */
 , MSGCD        VARCHAR2 (   20 )                                       /* 120 ﾒｯｾｰｼﾞID     */
 , MUST         VARCHAR2 (   10 )                                       /* 130 必須         */
 , VIEW_LENGTH  VARCHAR2 (   10 )                                       /* 140 表示桁数     */
 , USE_LENGTH   VARCHAR2 (    9 )       DEFAULT '0' NOT NULL            /* 150 使用桁数     */
 , CODE_CLM     VARCHAR2 (   30 )                                       /* 160 ｺｰﾄﾞｶﾗﾑ      */
 , READONLY     VARCHAR2 (   10 )                                       /* 170 読取専用     */
 , DISABLED     VARCHAR2 (   10 )                                       /* 180 無効         */
 , ROLES        VARCHAR2 (  500 )                                       /* 190 ﾛｰﾙｽﾞ        */
 , TEXT_DATA    CLOB                                                    /* 200 ﾃｷｽﾄ         */
 , FGOMIT       VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /* 210 除外ﾌﾗｸﾞ     */
 , UNIQ         NUMBER   (   22 )       DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR2 (   14 )                                       /* 820 登録日時     */
 , PGSET        VARCHAR2 (   10 )                                       /* 830 作成PG       */
 , PGPSET       VARCHAR2 (   10 )                                       /* 840 作成親PG     */
 , USRSET       VARCHAR2 (   10 )                                       /* 850 作成社員     */
 , DYUPD        VARCHAR2 (   14 )                                       /* 860 更新日時     */
 , PGUPD        VARCHAR2 (   10 )                                       /* 870 更新PG       */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 880 更新親PG     */
 , USRUPD       VARCHAR2 (   10 )                                       /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K NEXT 16K PCTINCREASE 0 );

CREATE SEQUENCE GF73S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;

CREATE OR REPLACE TRIGGER GF73T00 
  BEFORE INSERT ON GF73
  FOR EACH ROW 
  BEGIN 
    SELECT GF73S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
