<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF2030"
	title	= "インデックス"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<og:columnCheck
	command   = "{@command}"
	columns   = "SYSTEM_ID,TABLE_NAME,INDEX_NAME,NAME_JA"
/>

<!-- 取り消しボタンが押された時に必要です。 -->
<og:entry command = "{@command}" />

<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}">
		select TBLSYU,TABLE_NAME,INDEX_NAME,NAME_JA,INDTYPE,TABLESPACE_NAME,
				INITIAL_AUTO,INITIAL_EXTENT,BIKO,SYSTEM_ID,FGJ,UNIQ
		from GF06
	<og:where>
		<og:and value = "FGJ         in  ('0','1')"          />
		<og:and value = "SYSTEM_ID   =    '{@SYSTEM_ID}'"    />
		<og:and value = "TBLSYU      =    '{@TBLSYU}'"       />
		<og:and value = "TABLE_NAME  =    '{@TABLE_NAME}'"   />
		<og:and value = "INDEX_NAME  like '{@INDEX_NAME}%'"  />
		<og:and value = "INDTYPE     =    '{@INDTYPE}'"      />
		<og:and value = "NAME_JA     like '{@NAME_JA}%'"     />
	</og:where>
	<og:appear startKey = "order by" value = "{@ORDER_BY}"
				defaultVal = "SYSTEM_ID,TBLSYU,TABLE_NAME,INDEX_NAME" />
</og:query>

<og:columnEditor column="TABLESPACE_NAME" must="true" editor="DBMENU" addNoValue="false" >
	select TABLESPACE_NAME,TABLESPACE_NAME
	from GF01
	where FGJ in ('0','1')
	and SYSTEM_ID = '{@SYSTEM_ID}'
	group by TABLESPACE_NAME,TABLESPACE_NAME
	order by 1
</og:columnEditor>

<og:viewLink command="{@command}">
	<og:link column="TABLESPACE_NAME" gamenId="GF2000" href="index.jsp" target="CONTENTS"
		keys="command,SYSTEM_ID,TBLSYU,TABLESPACE_NAME" vals="NEW,[SYSTEM_ID],[TBLSYU],[TABLESPACE_NAME]" />
	<og:link column="TABLE_NAME" gamenId="GF2010" href="index.jsp" target="CONTENTS"
		keys="command,SYSTEM_ID,TABLE_NAME,TBLSYU" vals="NEW,[SYSTEM_ID],[TABLE_NAME],[TBLSYU]" />
	<og:link column="INDEX_NAME" gamenId="GF2040" href="index.jsp" target="CONTENTS"
		keys="command,SYSTEM_ID,INDEX_NAME,TBLSYU" vals="NEW,[SYSTEM_ID],[INDEX_NAME],[TBLSYU]" />
</og:viewLink>

<form onSubmit="return oneClick();" method="POST" action="forward.jsp" target="RESULT">
<og:writeCheck>
	<og:submit  action="COPY"    accesskey="C" noWritable="null" />
	<og:submit  action="MODIFY"  accesskey="M" noWritable="TBLSYU,TABLE_NAME"/>
	<og:submit  action="DELETE"  accesskey="Z" columnWritable="null" />

	<fieldset style="display:inline;">
		<legend><strong><og:message lbl="INSERT_GF06" /></strong></legend>
		<og:submit  value="insertGF06" lbl="INSERT" command="INSERT" />
		<og:column  name="DBID"			codeKeyVal="{@DBID_INFO}" td="no" />
		<og:column  name="TABLE_NAME"	size="5" td="no" />
		<og:column  name="SYSTEM_ID"	defaultVal="{@SYSTEM_ID}"   size="5" td="no" />
		<og:column  name="TBLSYU"		defaultVal="2" addNoValue="false" td="no" />
	</fieldset>
	<br />
</og:writeCheck>
<og:view
	viewFormType = "HTMLTable"
	command    = "{@command}"
	noDisplay  = "UNIQ,FGJ"
	checked    = "{@checked}"
	startNo    = "{@startNo}"
	pageSize   = "{@pageSize}" />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
